Bug 149712 - floating point value too large
floating point value too large
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnofract4d (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 12:58 EST by David Binderman
Modified: 2008-02-06 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-25 12:58:19 EST
Description of problem:

I just tried to compile package gnofract4d-2.6-2 from 
Redhat Fedora Extras development tree.

The compiler said

fract4d/c/image.cpp(145): warning #264: floating-point value does not
fit in required floating-point type

The source code is

        index_buf[i] = 1e100; //std::numeric_limits<float>::infinity();

But index_buf[ i] is of type float, which means the maximum value
that can be stored in it is MAXFLOAT.

A quick grep suggests the compiler is correct to complain.

/usr/include/math.h:#  define MAXFLOAT  3.40282347e+38F

Suggest use MAXFLOAT, not 1e100


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 edwin 2005-03-02 23:22:24 EST
Hi, I'm the author of gnofract4d.

Sorry about the compiler warning. This is actually supposed to cause
overflow to +ve infinity - that's what the effect of the commented-out
part actually ought to be. However I found that using infinity()
explicitly didn't work, though I'm not sure why. Hence this rather
odd-looking code. I'll see if there's a cleaner way to do this.
Comment 2 Christian Iseli 2007-01-17 18:23:25 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 3 petrosyan 2008-02-06 19:00:28 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.